#!/bin/bash

getRootDir () {
	dir=$1
	if [ -e "$dir/.git" ]; then
		echo $dir
	else
		dir="$(dirname "$1")"
		getRootDir $dir
	fi
}

echo $PROXY | tr -d '\n' > temp
if ! [[ -s temp ]]
then
	echo "Sua variavel de PROXY nao esta definida"
	echo -n "Digite o usuario: "
	read user
	echo -n "Digite a senha: "
	read pass
	export PROXY="http://$user:$pass@192.168.122.3:8080"
	setx PROXY $PROXY
fi
rm temp
rootDir=$PWD
rootDir=$(getRootDir $rootDir)
cd $rootDir
cd backend
export HTTP_PROXY=$PROXY
export HTTPS_PROXY=$PROXY
composer self-update
unset HTTP_PROXY
unset HTTPS_PROXY
composer clearcache
rm -Rf vendor_
rm -Rf vendor_
mv vendor vendor_
composer update
cd ..